net.corda.node.services.statemachine

## Interface ReceiveRequest<T extends SessionMessage>

- All Superinterfaces:
    FlowIORequest, SessionedFlowIORequest, WaitingRequest
  All Known Implementing Classes:
    ReceiveOnly, SendAndReceive

      public ReceiveRequest<T extends SessionMessage>
      extends SessionedFlowIORequest, WaitingRequest

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<T>` | `getReceiveType()`
    `java.lang.Class<?>` | `getUserReceiveType()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionedFlowIORequest

      `getSession`

    - ### Methods inherited from interface net.corda.node.services.statemachine.FlowIORequest

      `getStackTraceInCaseOfProblems`

- - ### Method Detail

    - #### getReceiveType

          java.lang.Class<T> getReceiveType()

    - #### getUserReceiveType

          java.lang.Class<?> getUserReceiveType()